Bug 186230 - Unable to use a multihead configuration using xorg 7 and i852
Unable to use a multihead configuration using xorg 7 and i852
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 08:23 EST by Andreas Andersson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-23 21:18:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Andersson 2006-03-22 08:23:08 EST
Description of problem:
Can't use Multihead any longer with fedora using intel 852 graphics card on a
DELL Latitude D400. Using one screen works ok.
Also tried to use xinerama without any success.

Version-Release number of selected component (if applicable):
Xorg 7.0

How reproducible:
The following xorg.conf file works fine in Fedora Core 4 default xorg packages
but not in later xorg packages (both Fedora 4 and Fedora 5). The screen turns
green on both monitors and the system halts.
Maybe the options for multihead has changed?

Steps to Reproduce:
1. Use the following xorg file:
Section "ServerLayout"

  #Option "Xinerama" "false"
        Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
        Screen      1  "Screen1" RightOf "Screen0"
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
EndSection

Section "Module"
        Load  "v4l"
        Load  "record"
        Load  "extmod"
        Load  "dbe"
        Load  "dri"
        Load  "GLcore"
        Load  "glx"
        Load  "ddc"
        Load  "int10"
        Load  "xtrap"
        Load  "freetype"
        Load  "type1"
        Load  "bitmap"
        Load  "vbe"
EndSection

Section "ServerFlags"

# Option  "DontVTSwitch"
# Option "Xinerama" "false"
        Option      "AllowMouseOpenFail"
        Option      "RandR" "on"
        Option      "off time" "1"
# Option  "AllowMouseOpenFail"
EndSection

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "se"
EndSection

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "yes"
EndSection

Section "Monitor"
        Identifier   "Monitor0"
        HorizSync    28.0 - 49.0
        VertRefresh  43.0 - 72.0
        Option      "DPMS"
EndSection

Section "Monitor"

  # DisplaySize  370      300
        Identifier   "Monitor1"
        VendorName   "DELL"
        ModelName    "DELL 1905FP"
        HorizSync    30.0 - 83.0
        VertRefresh  56.0 - 76.0
        Option      "DPMS"
EndSection

Section "Device"

        ### Available Driver options are:-
        ### Values: : integer, : float, : "True"/"False",
        ### : "String", : " Hz/kHz/MHz"
        ### [arg]: arg optional
        #Option     "NoAccel"                   # []
        #Option     "SWcursor"                  # []
        #Option     "ColorKey"                  #
        #Option     "CacheLines"                #
        #Option     "Dac6Bit"                   # []
        #Option         "NoDDC"                 # []
        #Option         "ShowCache"             # []
        #Option         "XvMCSurfaces"          #
        #Option         "PageFlip"              # []
        Identifier  "Device0"
        Driver      "i810"
        VendorName  "Intel Corp."
        BoardName   "82852/855GM Integrated Graphics Device"
        VideoRam    131072
        Option      "DRI" "true"                # []
        Option      "VBERestore" "yes"
        Option      "AGPMode" "4"
        Option      "MonitorLayout" "CRT,LFP"
        Option      "DPMS"
        BusID       "PCI:0:2:0"
EndSection

Section "Device"
        Identifier  "Device1"
        Driver      "i810"
        VendorName  "Intel Corp."
        BoardName   "82852/855GM Integrated Graphics Device"
        Option      "VBERestore" "no"
        Option      "MonitorLayout" "CRT,LFP"
        Option      "DevicePresence" "yes"
        Option      "AGPMode" "4"
        Option      "DPMS"
        BusID       "PCI:0:2:0"
        Screen      1
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Device0"
        Monitor    "Monitor0"
        DefaultDepth     16
        SubSection "Display"
                Depth     1
                Modes    "1024x768" "800x600" "640x480"
        EndSubSection
        SubSection "Display"
                Depth     4
                Modes    "1024x768" "800x600" "640x480"
        EndSubSection
        SubSection "Display"
                Depth     8
                Modes    "1024x768" "800x600" "640x480"
        EndSubSection
        SubSection "Display"
                Depth     15
                Modes    "1024x768" "800x600" "640x480"
        EndSubSection
        SubSection "Display"
                Depth     16
                Modes    "1024x768" "800x600" "640x480"
        EndSubSection
        SubSection "Display"
                Depth     24
                Modes    "1024x768" "800x600" "640x480"
        EndSubSection
EndSection

Section "Screen"
        Identifier "Screen1"
        Device     "Device1"
        Monitor    "Monitor1"
        DefaultDepth     16
        SubSection "Display"
                Depth     16
                Modes    "1280x1024" "1024x768" "800x600" "640x480"
        EndSubSection
EndSection

Section "DRI"
        Mode         0666
EndSection

Section "Extensions"

#       Option  "Composite"     "Enable"
        Option      "RENDER" "Enable"
EndSection

2. Start X... 
3.
  
Actual results:
Two green screens. System halts

Expected results:
Two desktops

Additional info:
Here's the last part of the xorg.0.log file:
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Reloading /usr/lib/xorg/modules/libint10.so
(II) I810(0): initializing int10
(WW) I810(0): Bad V_BIOS checksum
(II) I810(0): Primary V_BIOS segment is: 0xc000
(II) I810(0): VESA BIOS detected
(II) I810(0): VESA VBE Version 3.0
(II) I810(0): VESA VBE Total Mem: 832 kB
(II) I810(0): VESA VBE OEM: Intel(r)852MG/852MGE/855MG/855MGE Graphics Chip
Accelerated VGA BIOS
(II) I810(0): VESA VBE OEM Software Rev: 1.0
(II) I810(0): VESA VBE OEM Vendor: Intel Corporation
(II) I810(0): VESA VBE OEM Product: Intel(r)852MG/852MGE/855MG/855MGE Graphics
Controller
(II) I810(0): VESA VBE OEM Product Rev: Hardware Version 0.0
(II) I810(0): Allocated 128 kB for the ring buffer at 0x0
(II) I810(0): Allocating at least 256 scanlines for pixmap cache
(II) I810(0): Initial framebuffer allocation size: 10240 kByte
(II) I810(0): Allocated 4 kB for HW cursor at 0x7fff000 (0x35423000)
(II) I810(0): Allocated 16 kB for HW (ARGB) cursor at 0x7ffb000 (0x35470000)
(II) I810(0): Allocated 4 kB for Overlay registers at 0x7ffa000 (0x35465000).
(II) I810(0): Allocated 64 kB for the scratch buffer at 0x7fea000
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: Open failed
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: Open failed
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenByBusid: drmOpenMinor returns 9
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
(II) I810(0): [drm] loaded kernel module for "i915" driver
(II) I810(0): [drm] DRM interface version 1.2
(II) I810(0): [drm] created "i915" driver at busid "pci:0000:00:02.0"
(II) I810(0): [drm] added 8192 byte SAREA at 0xf8b3c000
(II) I810(0): [drm] mapped SAREA 0xf8b3c000 to 0xb7f57000
(II) I810(0): [drm] framebuffer handle = 0xf0020000
(II) I810(0): [drm] added 1 reserved context for kernel
(II) I810(0): Allocated 8192 kB for the back buffer at 0x7000000.
(II) I810(0): Allocated 8192 kB for the depth buffer at 0x6800000.
(II) I810(0): Allocated 32 kB for the logical context at 0x67f8000.
(II) I810(0): Allocated 38656 kB for textures at 0xa20000
(II) I810(0): Updated framebuffer allocation size from 10240 to 10248 kByte
(II) I810(0): Updated pixmap cache from 256 scanlines to 257 scanlines
(II) I810(0): 0x87e469c: Memory at offset 0x00020000, size 10248 kBytes
(II) I810(0): 0x87e5f40: Memory at offset 0x07fff000, size 4 kBytes
(II) I810(0): 0x87e5f68: Memory at offset 0x07ffb000, size 16 kBytes
(II) I810(0): 0x87e4d84: Memory at offset 0x00000000, size 128 kBytes
(II) I810(0): 0x87e46dc: Memory at offset 0x07fea000, size 64 kBytes
(II) I810(0): 0x87e5040: Memory at offset 0x07ffa000, size 4 kBytes
(II) I810(0): 0x87e472c: Memory at offset 0x07000000, size 8192 kBytes
(II) I810(0): 0x87e474c: Memory at offset 0x06800000, size 8192 kBytes
(II) I810(0): 0x87e478c: Memory at offset 0x067f8000, size 32 kBytes
(II) I810(0): 0x87e476c: Memory at offset 0x00a20000, size 38656 kBytes
(II) I810(0): Activating tiled memory for the back buffer.
(II) I810(0): Activating tiled memory for the depth buffer.
(II) I810(0): [drm] Registers = 0xfaf80000
(II) I810(0): [drm] Back Buffer = 0xf7000000
(II) I810(0): [drm] Depth Buffer = 0xf6800000
(II) I810(0): [drm] ring buffer = 0xf0000000
(II) I810(0): [drm] textures = 0xf0a20000
(II) I810(0): [drm] dma control initialized, using IRQ 11
(II) I810(0): [drm] Initialized kernel agp heap manager, 39583744
(II) I810(0): [dri] visual configs initialized
(II) I810(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(WW) I810(0): Extended BIOS function 0x5f05 failed.
(II) I810(0): xf86BindGARTMemory: bind key 12 at 0x000df000 (pgoffset 223)
(II) I810(0): xf86BindGARTMemory: bind key 5 at 0x07fff000 (pgoffset 32767)
(II) I810(0): xf86BindGARTMemory: bind key 6 at 0x07ffb000 (pgoffset 32763)
(II) I810(0): xf86BindGARTMemory: bind key 8 at 0x07fea000 (pgoffset 32746)
(II) I810(0): xf86BindGARTMemory: bind key 7 at 0x07ffa000 (pgoffset 32762)
(II) I810(0): xf86BindGARTMemory: bind key 9 at 0x07000000 (pgoffset 28672)
(II) I810(0): xf86BindGARTMemory: bind key 10 at 0x06800000 (pgoffset 26624)
(II) I810(0): xf86BindGARTMemory: bind key 11 at 0x067f8000 (pgoffset 26616)
(II) I810(0): Setting refresh with VBE 3 method.
(II) I810(0): Display plane A is enabled and connected to Pipe A.
(II) I810(0): Display plane B is disabled and connected to Pipe B.
(II) I810(0): Enabling plane A.
(II) I810(0): Display plane A is now enabled and connected to Pipe A.
(II) I810(0): Display plane B is now disabled and connected to Pipe B.
(II) I810(0): PIPEACONF is 0x80000000
(II) I810(0): PIPEBCONF is 0x80000000
(II) I810(0): Mode bandwidth is 78 Mpixel/s
(II) I810(0): maxBandwidth is 1152 Mbyte/s, pipe bandwidths are 420 Mbyte/s, 0
Mbyte/s
(II) I810(0): Using XFree86 Acceleration Architecture (XAA)
        Screen to screen bit blits
        Solid filled rectangles
        8x8 mono pattern filled rectangles
        Indirect CPU to Screen color expansion
        Solid Horizontal and Vertical Lines
        Offscreen Pixmaps
        Setting up tile and stipple cache:
                32 128x128 slots
                12 256x256 slots
(==) I810(0): Backing store disabled
(==) I810(0): Silken mouse enabled
(II) I810(0): Initializing HW Cursor
(**) Option "dpms"
(**) I810(0): DPMS enabled
(II) I810(0): X context handle = 0x1
(II) I810(0): [drm] installed DRM signal handler
(II) I810(0): [DRI] installation complete
(II) I810(0): direct rendering: Enabled
(==) RandR enabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
(**) Option "Protocol" "IMPS/2"
(**) Mouse0: Device: "/dev/input/mice"
(**) Mouse0: Protocol: "IMPS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/input/mice"
(**) Option "Emulate3Buttons" "yes"
(**) Mouse0: Emulate3Buttons, Emulate3Timeout: 50
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(**) Mouse0: Buttons: 9
(**) Option "CoreKeyboard"
(**) Keyboard0: Core Keyboard
(**) Option "Protocol" "standard"
(**) Keyboard0: Protocol: standard
(**) Option "AutoRepeat" "500 30"
(**) Option "XkbRules" "xorg"
(**) Keyboard0: XkbRules: "xorg"
(**) Option "XkbModel" "pc105"
(**) Keyboard0: XkbModel: "pc105"
(**) Option "XkbLayout" "se"
(**) Keyboard0: XkbLayout: "se"
(**) Option "CustomKeycodes" "off"
(**) Keyboard0: CustomKeycodes disabled
(II) Synaptics touchpad driver version 0.14.4 (1404)
(--) Synaptics auto-dev sets device to /dev/input/event2
(**) Option "Device" "/dev/input/event2"
(**) Option "LeftEdge" "120"
(**) Option "RightEdge" "830"
(**) Option "TopEdge" "120"
(**) Option "BottomEdge" "650"
(**) Option "FingerLow" "14"
(**) Option "FingerHigh" "15"
(**) Option "MaxTapMove" "110"
(**) Option "VertScrollDelta" "20"
(**) Option "HorizScrollDelta" "20"
(--) Synaptics touchpad found
(**) Option "AlwaysCore"
(**) Synaptics: always reports core events
(II) XINPUT: Adding extended input device "Synaptics" (type: MOUSE)
(II) XINPUT: Adding extended input device "Keyboard0" (type: KEYBOARD)
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
Synaptics DeviceInit called
SynapticsCtrl called.
(II) Mouse0: ps2EnableDataReporting: succeeded
Synaptics DeviceOn called
(--) Synaptics auto-dev sets device to /dev/input/event2
(**) Option "Device" "/dev/input/event2"
(--) Synaptics touchpad found
ProcXCloseDevice to close or not ?
SetGrabKeysState - disabled
SetGrabKeysState - enabled
Synaptics DeviceOff called
(II) I810(0): [drm] removed 1 reserved context for kernel
(II) I810(0): [drm] unmapping 8192 bytes of SAREA 0xf8b3c000 at 0xb7f57000
(WW) I810(0): Successfully set original devices
(WW) I810(0): Setting the original video mode instead of restoring
        the saved state
(WW) I810(0): Extended BIOS function 0x5f05 failed.
(II) I810(0): BIOS call 0x5f05 not supported, setting refresh with VBE 3 method.
(II) I810(0): xf86UnbindGARTMemory: unbind key 12
(II) I810(0): xf86UnbindGARTMemory: unbind key 5
(II) I810(0): xf86UnbindGARTMemory: unbind key 6
(II) I810(0): xf86UnbindGARTMemory: unbind key 8
(II) I810(0): xf86UnbindGARTMemory: unbind key 7
(II) I810(0): xf86UnbindGARTMemory: unbind key 9
(II) I810(0): xf86UnbindGARTMemory: unbind key 10
(II) I810(0): xf86UnbindGARTMemory: unbind key 11
(WW) I810(0): Successfully set original devices (2)
Comment 1 Mike A. Harris 2006-03-23 21:18:24 EST
Don't paste huge files into bug comments, it makes the bug report virtually
unreadable.  Use the file attachment feature below instead.

Please file a new bug report with the files attached properly.

Note You need to log in before you can comment on or make changes to this bug.